ifeq ($(wildcard /etc/passwd),/etc/passwd)

TOPDIR = /home/gsinai/Build/Yudit/yudit-3.0.8
MSGMERGE=:
HAVE_LOCALE = -DHAVE_LOCALE
HAVE_SET_IM_VALUES=-DHAVE_SET_IM_VALUES
NEED_SET_IM_VALUES_PROTO=-DNEED_SET_IM_VALUES_PROTO
prefix = /usr
exec_prefix = ${prefix}
libexecdir = ${exec_prefix}/libexec
bindir = ${exec_prefix}/bin
datarootdir = ${prefix}/share
datadir = ${prefix}/share
mandir = ${datarootdir}/man
LPR_COMMAND = /usr/bin/lpr
LPR_CFLAGS = -DLPR_COMMAND=\"/usr/bin/lpr\"
CXX = g++
CXXFLAGS = -g -O2
CFLAGS = -g -O2
LDFLAGS = 
LIBS = 
TRANSLATE_LFLAGS = 
CPPFLAGS = -I$(TOPDIR) -DHAVE_LONG_LONG    -Wall -DHAVE_MMAP $(CFLAGS)
INSTALL = @INSTALL@
YUDIT_DATA = /usr/share/yudit
INSTALL = $(TOPDIR)/bin/install-sh -c
# Strip binary
INSTALL_PROGRAM = $(TOPDIR)/bin/install-sh -c -s
INSTALL_DATA = $(TOPDIR)/bin/install-sh -c -m 644

X_CFLAGS = 
X_LIBS = 
X_PRE_LIBS = 
X_EXTRA_LIBS = 
USE_X11 = -DUSE_X11=1
X11_LIB = -lX11

AR = ar cr
#
# For Sun's SUNWspro compiler you need to have CC's AR 
# otherwise you get linking errors, like:
#
# SVector<SString>::__vtbl    ../stoolkit/libstoolkit.a(SStringVector.o)
# [Hint: try checking whether the first non-inlined, 
# non-pure virtual function of class SVector<SString> is defined]
#
# Todo: put this in configure.
# AR = CC -xar -o 
#
#ALL_LIBS=wsock32.lib
RANLIB=ranlib
LD= $(CXX) $(LDFLAGS)
LOCALE_DIR=$(YUDIT_DATA)/locale
#INSTALL_DATA=/bin/cp
#INSTALL_PROGRAM=/bin/cp
MESSAGES=messages

OBJS=$(MODULES)
SPLATFORM=UNIX

# Mac Support
ifeq ($(shell uname -s),Darwin)
SWINDOWS=OSX
SWINDOW_FLAGS=-DUSE_X11=0 
CPPFLAGS:=$(CPPFLAGS) -DUSE_OSX
else
SWINDOWS=X11
SWINDOW_FLAGS=$(USE_X11) $(X_CFLAGS)
endif

#
# This TRANSLATE_LFLAGS  should not be here. But this works on solaris...
# or, does it?
ALL_LIBS=$(X_EXTRA_LIBS) $(X_LIBS) $(X11_LIB) $(LIBS) $(TRANSLATE_LFLAGS)

else
#
# TOPDIR and YUDIT_DATA is all your need.
#
UNIX_TOPDIR = /home/gsinai/Build/Yudit/yudit-3.0.8
TOPDIR=/Build/Yudit/$(notdir $(UNIX_TOPDIR:%/=%))
YUDIT_DATA=/usr/share/yudit

CPPFLAGS:=$(CPPFLAGS) -nologo -DUSE_WINAPI -DNO_SNPRINTF -I$(TOPDIR)
# Zi is debug on
CXX=cl /Zi
LD=cl  /Zi
AR=lib /out:
ALL_LIBS=advapi32.lib wsock32.lib shell32.lib
SPLATFORM=WINDOWS
SWINDOWS=WIN32
SWINDOW_FLAGS=
#
# Do not define HAVE_WS2_32_DLL 
# because it wont work on Windows95
#
#SWINDOW_LIBS=user32.lib ws2_32.lib gdi32.lib imm32.lib
SWINDOW_LIBS=user32.lib gdi32.lib imm32.lib
HAVE_LOCALE=
HAVE_SET_IM_VALUES=
NEED_SET_IM_VALUES_PROTO=-DNEED_SET_IM_VALUES_PROTO
endif

ifeq (x${YUDIT_MYTOOL},x)
  MYTOOL := $(TOPDIR)/mytool/mytool
else
  MYTOOL := ${YUDIT_MYTOOL}
endif
